Namespace Microsoft.Design

    Public Class Rule1026
        Private orderId As String = "order"

        ' このメソッドは CA1026 に違反しています。
        Public Sub Update(Optional ByVal orderId As String = "default order")
            Me.orderId = orderId
        End Sub

        Public Overrides Function ToString() As String
            Return Me.orderId
        End Function
    End Class

End Namespace